From e6c6d33b3b4f142d475a50c71b011ea0ef0f1533 Mon Sep 17 00:00:00 2001
From: Shynur <one.last.kiss@outlook.com>
Date: Sat, 3 Jun 2023 21:14:41 +0800
Subject: [PATCH] Fix bug that `mouse-drag-and-drop-region' couldn't cut

* lisp/mouse.el (mouse-drag-and-drop-region): Bind
`mark-even-if-inactive' to t locally.
---
 lisp/mouse.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/mouse.el b/lisp/mouse.el
index 3c30361ad7d..475b3871348 100644
--- a/lisp/mouse.el
+++ b/lisp/mouse.el
@@ -3154,6 +3154,7 @@ is copied instead of being cut."
          ;; System tooltips tend to flicker and in general work
          ;; incorrectly.
          (use-system-tooltips nil)
+         (mark-even-if-inactive t)
          ;; Whether or not some text was ``cut'' from Emacs to another
          ;; program and the cleaanup code should not try modifying the
          ;; region.
-- 
2.39.1

